# create

fun create(config: CreateConfig): String(source)

Converts a long url to a Bitlink and sets additional parameters.

See the Bit.ly API for more information.

#### Return

The shortened URL or an empty string on error.

#### Parameters

config

The parameters' configuration.

fun create(long_url: String, domain: String = Constants.EMPTY, group_guid: String = Constants.EMPTY, title: String = Constants.EMPTY, tags: Array<String> = emptyArray(), deeplinks: CreateDeeplinks = CreateDeeplinks(), toJson: Boolean = false): String(source)

Converts a long url to a Bitlink and sets additional parameters.

See the Bit.ly API for more information.

#### Return

The shortened URL or an empty string on error.

#### Parameters

long_url

The long URL.

domain

A branded short domain or `bit.ly` by default.

group_guid

A GUID for a Bitly group.

toJson

Returns the full JSON response if `true`.